Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub
Class PublishedItemTask

    java.lang.Object
      java.util.TimerTask
          org.jivesoftware.openfire.pubsub.PublishedItemTask

All Implemented Interfaces:
  Runnable

    public class PublishedItemTask

extends TimerTask

A timed maintenance task that updates the database by adding and/or removing `PublishedItem`s in regular intervals.

Author:
  Matt Tucker

Constructor Summary
`PublishedItemTask(PubSubService service)`

Method Summary
`void` | `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishedItemTask

    public PublishedItemTask(PubSubService service)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.